<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright © Ricki Hirner (bitfire web engineering).
  ~ All rights reserved. This program and the accompanying materials
  ~ are made available under the terms of the GNU Public License v3.0
  ~ which accompanies this distribution, and is available at
  ~ http://www.gnu.org/licenses/gpl.html
  -->

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
              android:orientation="vertical"
              android:layout_width="match_parent"
              android:layout_height="match_parent">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:layout_margin="@dimen/activity_margin">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                style="@style/login_type_headline"
                android:text="@string/login_create_account"
                android:layout_marginBottom="14dp"/>

            <EditText
                android:id="@+id/account_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/login_account_name"
                android:inputType="textEmailAddress"/>

            <TextView
                android:id="@+id/account_email_hint"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:text="@string/login_account_name_info"/>

            <LinearLayout
                android:id="@+id/carddav"
                android:layout_height="wrap_content"
                android:layout_width="match_parent"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:text="@string/login_account_contact_group_method"/>

                <Spinner
                    android:id="@+id/contact_group_method"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:entries="@array/settings_contact_group_method_entries"/>

            </LinearLayout>

        </LinearLayout>
    </ScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        style="@style/stepper_nav_bar">

        <Button
            android:id="@+id/back"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_gravity="center"
            android:text="@string/login_back"
            style="@style/stepper_nav_button"/>

        <Button
            android:id="@+id/create_account"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_gravity="center"
            android:text="@string/login_create_account"
            android:enabled="false"
            style="@style/stepper_nav_button"/>

    </LinearLayout>

</LinearLayout>